Elastic Cloud Enterprise 2.2.2

New for Elastic Cloud Enterprise 2.2.2:

  • Support for 6.8 and 7.1. To use the latest features and improved usability, upgrade to the Elastic Stack 6.8 or 7.1. Learn more …​

Known problems or limitations

The following known problem exists for ECE 2.2.2 and higher:

  • Plans for Elasticsearch versions 7.7.0 and 7.7.1 can fail unexpectedly with an error that indicates that there was a bad request while performing the constructor’s step validate-enough-disk-space. The underlying problem is an Elasticsearch bug that causes GET /_nodes/stats to fail under certain infrequent conditions. If this problem occurs, try manually restarting all nodes of the cluster. If restarting doesn’t solve the problem, the recommended action is to edit the cluster plan on the advanced cluster configuration page and set the override_failsafe option to true.

For example:

     "transient" : {
        "cluster_settings_json" : {},
        "plan_configuration" : {
           "override_failsafe" : true,
           "skip_data_migration": false

Note that the skip_data_migration should be set to false.

We also recommend upgrading to version 7.8 or higher, in which this bug has already been addressed.

Release date: May 20, 2019